Skip to content

API - Endpoints

Complete reference of all HTTP endpoints.

MethodEndpointDescription
PUT/v1/kv/{namespace}/{key}Set value
GET/v1/kv/{namespace}/{key}Get value
GET/v1/kv/{namespace}/{key}/versionsList all versions of a key
GET/v1/kv/{namespace}/{key}?version={n}Get specific version
GET/v1/kv/{namespace}List keys in namespace
DELETE/v1/kv/{namespace}/{key}Delete key
GET/v1/watch/{namespace}?timeout={duration}Watch for changes (long-poll)
GET/v1/watch/{namespace}?stream=trueWatch for changes (SSE stream)
GET/v1/auth/meCurrent token identity & capabilities
POST/v1/auth/tokenCreate token (role-based or scoped)
GET/v1/auth/tokensList tokens
DELETE/v1/auth/token/{token}Revoke token
GET/ or /ui/Web UI
GET/v1/rolesList all roles
GET/v1/roles/{role}Get role details
GET/v1/auditGet audit logs
GET/v1/namespacesList namespaces
GET/v1/healthHealth check (no auth)
GET/v1/metricsPrometheus metrics (no auth)

Authentication

All endpoints except /v1/health and /v1/metrics require:

http
Authorization: Bearer YOUR_TOKEN_HERE

Detailed Docs

  • KV - Key-value operations
  • Watch - Live change notifications
  • Auth - Token management
  • Roles - RBAC definitions
  • Audit - Audit logs
  • Namespaces - Namespace management

Apache License 2.0